
Katello - Tracker #24318

Pulp 3 code base prep work

07/20/2018 01:17 AM - Justin Sherrill

Status: New % Done: 0%

Priority: Normal   

Assignee: Justin Sherrill   

Category: Repositories   

Target version: Katello Backlog   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

This card is to track the pulp 3 code base prep work.

Related issues:

Blocked by Katello - Refactor #24328: As a developer, repository settings sho... Closed

Blocked by Katello - Bug #24330:  As a developer, Pulp 2 api calls and data t... Rejected

Blocked by Katello - Refactor #24331: As a developer, I want pulp actions ref... Rejected

Blocked by Katello - Feature #24332: Smart proxy plugin for pulp 3 exposing t... Resolved

Blocked by Katello - Refactor #24558: remove cp_label from repository Closed

Blocked by Katello - Refactor #24875: Pulp repository service migration: create Closed

Blocked by Katello - Refactor #24876: Pulp repository service migration: Sync Closed

Blocked by Katello - Refactor #24877: Pulp repository service migration: Destroy Closed

Blocked by Katello - Refactor #24878: Pulp repository service migration: Refr... Closed

Blocks Katello - Refactor #25233: move copy contents to a service class Closed

Blocks Katello - Refactor #25234: move content uploads to a service class Ready For Testing

Blocks Katello - Refactor #25235: move remove contents to a service class Closed

Blocks Katello - Refactor #25236: move regenerate appliacbility to a service ... Closed

Blocks Katello - Refactor #25238: cleanup remaining repo.rb New

Blocks Katello - Refactor #25237: move indexing to a service class Closed

Blocked by Katello - Refactor #25320: refactor out all checks for is_a?(Conte... New

Blocked by Katello - Bug #25400: remove force_yum_metadata_regeneration method Closed

Blocked by Katello - Bug #25714: smart proxy  syncs should use a service class Closed

Blocked by Katello - Refactor #25872: refactor pulp_database_unit to be pulp-... New

Blocked by Katello - Refactor #26166: refactor metadata generation to pulp se... Closed

History

#2 - 07/20/2018 04:39 PM - Justin Sherrill

- Related to Refactor #24328: As a developer, repository settings should live on a new repository class added

#3 - 07/20/2018 04:39 PM - Justin Sherrill

- Related to deleted (Refactor #24328: As a developer, repository settings should live on a new repository class)

#4 - 07/20/2018 04:39 PM - Justin Sherrill

- Blocked by Refactor #24328: As a developer, repository settings should live on a new repository class added

#5 - 07/20/2018 04:45 PM - Justin Sherrill

- Blocked by Bug #24330:  As a developer, Pulp 2 api calls and data transformation should live in a repository service and not in the model layer.  The

pulp glue layer should disappear added

#6 - 07/20/2018 04:45 PM - Justin Sherrill

- Blocked by Refactor #24331: As a developer, I want pulp actions refactored into interface actions added
#7 - 07/20/2018 04:49 PM - Justin Sherrill

- Blocked by Feature #24332: Smart proxy plugin for pulp 3 exposing types added

#8 - 07/25/2018 05:59 PM - Andrew Kofink

- Target version set to Katello Backlog

- Triaged changed from No to Yes

#9 - 08/07/2018 04:48 PM - Justin Sherrill

- Blocked by Refactor #24558: remove cp_label from repository added

#10 - 09/10/2018 07:38 PM - Justin Sherrill

- Blocked by Refactor #24875: Pulp repository service migration: create added

#11 - 09/10/2018 07:38 PM - Justin Sherrill

- Blocked by Refactor #24876: Pulp repository service migration: Sync added

#12 - 09/10/2018 07:38 PM - Justin Sherrill

- Blocked by Refactor #24877: Pulp repository service migration: Destroy added

#13 - 09/10/2018 07:39 PM - Justin Sherrill

- Blocked by Refactor #24878: Pulp repository service migration: Refresh/update added

#14 - 10/18/2018 01:42 PM - Justin Sherrill

- Related to Refactor #25233: move copy contents to a service class added

#15 - 10/18/2018 01:42 PM - Justin Sherrill

- Related to deleted (Refactor #25233: move copy contents to a service class)

#16 - 10/18/2018 01:42 PM - Justin Sherrill

- Blocks Refactor #25233: move copy contents to a service class added

#17 - 10/18/2018 01:43 PM - Justin Sherrill

- Blocks Refactor #25234: move content uploads to a service class added

#18 - 10/18/2018 01:43 PM - Justin Sherrill

- Blocks Refactor #25235: move remove contents to a service class added

#19 - 10/18/2018 01:43 PM - Justin Sherrill

- Blocks Refactor #25236: move regenerate appliacbility to a service class added

#20 - 10/18/2018 01:44 PM - Justin Sherrill

- Blocks Refactor #25238: cleanup remaining repo.rb added

#21 - 10/18/2018 01:45 PM - Justin Sherrill

- Blocks Refactor #25237: move indexing to a service class  added

#22 - 10/26/2018 06:43 PM - Justin Sherrill

- Blocked by Refactor #25320: refactor out all checks for is_a?(ContentViewPuppetEnvironment)  added

#23 - 11/06/2018 07:16 PM - Justin Sherrill

- Blocked by Bug #25400: remove force_yum_metadata_regeneration method added

#24 - 12/17/2018 05:54 PM - Justin Sherrill

- Blocked by Bug #25714: smart proxy  syncs should use a service class added

#25 - 01/16/2019 03:40 PM - Justin Sherrill
- Blocked by Refactor #25872: refactor pulp_database_unit to be pulp-agnostic added

#26 - 02/26/2019 04:15 PM - Justin Sherrill

- Blocked by Refactor #26166: refactor metadata generation to pulp service classes added
